Debian Bug report logs - #327741
copyright statement inside files of seminar package outdated

version graph

Package: texlive-latex-recommended; Maintainer for texlive-latex-recommended is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-latex-recommended is src:texlive-base.

Reported by: Sean Finney <seanius@debian.org>

Date: Sun, 11 Sep 2005 20:18:01 UTC

Severity: important

Tags: fixed-upstream

Merged with 406532

Fixed in version 2007.dfsg.2-4

Done: Hilmar Preusse <hille42@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#327741; Package tetex-optional. Full text and rfc822 format available.

Acknowledgement sent to Sean Finney <seanius@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tetex-optional: undistributable files included in package
Date: Sun, 11 Sep 2005 16:01:53 -0400
Package: tetex-optional
Version: 2.0.2c-8
Severity: serious
Justification: Policy 2.1

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

i just happened to be browsing around in /usr/share and found the
following in /usr/share/texmf/tex/latex/seminar/xcomment.sty:

%% Copying of part or all of any file in the xcomment.sty package
%% is allowed under the following conditions only:
%% (1) You may freely distribute unchanged copies of the files. Please
%%     include the documentation when you do so.
%% (2) You may modify a renamed copy of any file, but only for personal
%%     use or use within an organization.
%% (3) You may copy fragments from the files, for personal use or for use
%%     in a macro package for distribution, as long as credit is given
%%     where credit is due.
%%
%% You are NOT ALLOWED to take money for the distribution or use of
%% these files or modified versions or fragments thereof, except for
%% a nominal charge for copying etc.

i don't know how many other latex-included files have copyrights
like this, but it is definitely not okay...


	sean

- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFDJI0xynjLPm522B0RAoKqAJ9vVJ735JPA2cvyAdge70ZoBfKNcQCfUB6B
xaKAGRVJZQlfZR9zAbc62mw=
=ROAm
-----END PGP SIGNATURE-----



Bug reassigned from package `tetex-optional' to `tetex-extra'. Request was from Sean Finney <seanius@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 327741@bugs.debian.org (full text, mbox):

From: Fabio Massimo Di Nitto <fabbione@fabbione.net>
To: 327741@bugs.debian.org
Subject: it's more interesting than it looks like.
Date: Tue, 13 Sep 2005 07:11:19 +0200
Hi,

apparently there are plenty of files like that one with more desperate notes/copyrights in them.

grep "You are not allowed to change this file" * -ril | wc -l shows at least 33 files with
such statement.

Fabio

-- 
I'm going to make him an offer he can't refuse.



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Ralf Stubner <Ralf.Stubner@physik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 327741@bugs.debian.org (full text, mbox):

From: Ralf Stubner <Ralf.Stubner@physik.uni-erlangen.de>
To: Fabio Massimo Di Nitto <fabbione@fabbione.net>
Cc: 327741@bugs.debian.org, seanius@debian.org
Subject: Re: Bug#327741: it's more interesting than it looks like.
Date: Tue, 13 Sep 2005 19:01:48 +0200
Fabio Massimo Di Nitto <fabbione@fabbione.net> writes:

> apparently there are plenty of files like that one with more desperate
> notes/copyrights in them.
>
> grep "You are not allowed to change this file" * -ril | wc -l shows at
> least 33 files with such statement.

I just made the same search (32 files are from the KOMA-Script package
allown). All of these files are generated files. Derived versions are
possible if you start with the original source and use a different name
(roughly speaking). See, eg,
/usr/share/doc/texmf/latex/koma-script/LEGAL.TXT for details.

With respect to the original message:
/usr/share/texmf/tex/latex/seminar/xcomment.sty is part of the seminar
package. In the documentation to the seminar package it says:

,----[ /usr/share/doc/texmf/latex/seminar/sem-read.me.gz ]
| IMPORTANT NOTE
| 
| With the agreement of Timothy Van Zandt  (now tvz@zandtwerk.kellogg.nwu.edu),
| the distributions conditions on seminar are now relaxed to:
| 
|  This package may be distributed under the terms of the LaTeX Project Public
|  License, as described in lppl.txt in the base LaTeX distribution.
|  Either version 1.0 or, at your option, any later version.
|   
| This overrides the conditions listed below. A new version of 
| "seminar" is in preparation by Timothy van Zandt.
| 
| June 3rd 1999
| Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
| Denis Girou <denis.girou@idris.fr>
| 
| (Tim's helpers on earth)
`----

I guess the TeX world is not known for rapid release cycles ...

cheerio
ralf




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Sean Finney <seanius@debian.org>, 327741@bugs.debian.org
Subject: Re: tetex-optional: undistributable files included in package
Date: Tue, 13 Sep 2005 19:27:26 +0200
[Message part 1 (text/plain, inline)]
On 11.09.05 Sean Finney (seanius@debian.org) wrote:

Hi Sean,

> i just happened to be browsing around in /usr/share and found the
> following in /usr/share/texmf/tex/latex/seminar/xcomment.sty:
> 
> %% Copying of part or all of any file in the xcomment.sty package
> %% is allowed under the following conditions only:
> %% (1) You may freely distribute unchanged copies of the files. Please
> %%     include the documentation when you do so.
> %% (2) You may modify a renamed copy of any file, but only for personal
> %%     use or use within an organization.
> %% (3) You may copy fragments from the files, for personal use or for use
> %%     in a macro package for distribution, as long as credit is given
> %%     where credit is due.
> %%
> %% You are NOT ALLOWED to take money for the distribution or use of
> %% these files or modified versions or fragments thereof, except for
> %% a nominal charge for copying etc.
> 
/usr/share/texmf/doc/latex/seminar/sem-read.me.gz:

With the agreement of Timothy Van Zandt (now tvz@zandtwerk.kellogg.nwu.edu),
the distributions conditions on seminar are now relaxed to:

 This package may be distributed under the terms of the LaTeX Project Public
 License, as described in lppl.txt in the base LaTeX distribution.
 Either version 1.0 or, at your option, any later version.

This overrides the conditions listed below. A new version of
"seminar" is in preparation by Timothy van Zandt.

.  And below we find the conditions you quoted. I'll contact Tim if
we can patch the files and replace the lines above by something like:

"see sem-read.me.gz for copyright conditions"

. Is that acceptable? teTeX 2.0 was released under 1.2 but AFAIK this
is OK for sarge. etch will have teTeX 3.0 and LPPL 1.3. The same
wording we still have in 3.0.

> i don't know how many other latex-included files have copyrights
> like this, but it is definitely not okay...
> 
Well, the big revision is on the way (or rather not): #218105.

Regards,
  Hilmar
-- 
http://www.hilmar-preusse.de.vu/    #206401 http://counter.li.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Sean Finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 327741@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: Hilmar Preusse <hille42@web.de>
Cc: 327741@bugs.debian.org
Subject: Re: tetex-optional: undistributable files included in package
Date: Tue, 13 Sep 2005 13:40:41 -0400
[Message part 1 (text/plain, inline)]
hi,

On Tue, Sep 13, 2005 at 07:27:26PM +0200, Hilmar Preusse wrote:
> With the agreement of Timothy Van Zandt (now tvz@zandtwerk.kellogg.nwu.edu),
> the distributions conditions on seminar are now relaxed to:
> 
>  This package may be distributed under the terms of the LaTeX Project Public
>  License, as described in lppl.txt in the base LaTeX distribution.
>  Either version 1.0 or, at your option, any later version.
> 
> This overrides the conditions listed below. A new version of
> "seminar" is in preparation by Timothy van Zandt.
> 
> .  And below we find the conditions you quoted. I'll contact Tim if
> we can patch the files and replace the lines above by something like:
> 
> "see sem-read.me.gz for copyright conditions"
> 
> . Is that acceptable? teTeX 2.0 was released under 1.2 but AFAIK this
> is OK for sarge. etch will have teTeX 3.0 and LPPL 1.3. The same
> wording we still have in 3.0.

yeah, that sounds good.  whether this should affect sarge for a
point-release i think is worth pinging debian-release, i guess.



	sean

-- 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Fabio Massimo Di Nitto <fabbione@fabbione.net>, 327741@bugs.debian.org
Subject: Re: Bug#327741: it's more interesting than it looks like.
Date: Tue, 13 Sep 2005 20:09:06 +0200
On 13.09.05 Fabio Massimo Di Nitto (fabbione@fabbione.net) wrote:

Hi,

> grep "You are not allowed to change this file" * -ril | wc -l shows
> at least 33 files with such statement.
> 
hille@preusse:/usr/share/texmf$ grep -i "You are not allowed to change this file" * -ril|wc -l
30
hille@preusse:/usr/share/texmf$ dpkg -l "tetex*"|grep ^ii
ii  tetex-base     3.0-7          Basic library files of teTeX
ii  tetex-bin      3.0-7          The teTeX binary files
ii  tetex-doc      3.0-7          The documentation component of the Debian te
ii  tetex-extra    3.0-7          Additional library files of teTeX

Thats not problematic if the sentence continues: "unless you change
the name of the file". As I said: #218105 and the big review[TM] is
on the way if anybody finds the time.

H.
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Sean Finney <seanius@debian.org>, 327741@bugs.debian.org
Subject: Re: Bug#327741: tetex-optional: undistributable files included in package
Date: Wed, 14 Sep 2005 20:05:22 +0200
[Message part 1 (text/plain, inline)]
On 13.09.05 Sean Finney (seanius@debian.org) wrote:
> On Tue, Sep 13, 2005 at 07:27:26PM +0200, Hilmar Preusse wrote:

Hi,

> > .  And below we find the conditions you quoted. I'll contact Tim
> > if we can patch the files and replace the lines above by
> > something like:
> > 
> > "see sem-read.me.gz for copyright conditions"
> > 
> > . Is that acceptable? teTeX 2.0 was released under 1.2 but AFAIK
> > this is OK for sarge. etch will have teTeX 3.0 and LPPL 1.3. The
> > same wording we still have in 3.0.
> 
> yeah, that sounds good.  whether this should affect sarge for a
> point-release i think is worth pinging debian-release, i guess.
> 
Is this really RC? Now that we know that the license statement inside
the files are wrong and they are really LPPL:
Can't we simply downgrade the bug to importand, change the
description to "license statement in the files of seminar package is
wrong" and then forward that bug to upstream (TE)?

Regards,
  Hilmar
-- 
sigmentation fault
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Sean Finney <seanius@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 327741@bugs.debian.org (full text, mbox):

From: Sean Finney <seanius@debian.org>
To: Hilmar Preusse <hille42@web.de>
Cc: 327741@bugs.debian.org
Subject: Re: Bug#327741: tetex-optional: undistributable files included in package
Date: Wed, 14 Sep 2005 14:30:09 -0400
[Message part 1 (text/plain, inline)]
On Wed, Sep 14, 2005 at 08:05:22PM +0200, Hilmar Preusse wrote:
> > yeah, that sounds good.  whether this should affect sarge for a
> > point-release i think is worth pinging debian-release, i guess.
> > 
> Is this really RC? Now that we know that the license statement inside
> the files are wrong and they are really LPPL:
> Can't we simply downgrade the bug to importand, change the
> description to "license statement in the files of seminar package is
> wrong" and then forward that bug to upstream (TE)?

no complaints from me...

	sean
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Timothy Van Zandt <tvz@econ.insead.edu>
Cc: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>, Denis Girou <denis.girou@idris.fr>, 327741@bugs.debian.org
Subject: (fwd) tetex-extra: undistributable files included in package
Date: Wed, 14 Sep 2005 21:15:21 +0200
[Message part 1 (text/plain, inline)]
Dear Timothy, Sebastian and Denis,

The following bug report we got here down in the Debian Bug Tracking
system. I've pointed the submitter to sem-read.me, which clearly
says, that seminar can be distributed under LPPL.
He agreed that we should remove the confusing statement and replace
it by something senseful. Is there another seminar release planned in
the near future, should we patch our files or send the request to
do to Thomas Esser/TeX-Live team?

Kind Regards,
  Hilmar

----- Forwarded message from Sean Finney <seanius@debian.org> -----

From: Sean Finney <seanius@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tetex-optional: undistributable files included in package
Date: Sun, 11 Sep 2005 16:01:53 -0400
Message-Id: <20050911200154.530A515834@sativa.seanius.net>
X-Mailer: reportbug 3.8
X-Mailing-List: <debian-tetex-maint@lists.debian.org> archive/latest/13170

Package: tetex-extra
Version: 2.0.2c-8
Severity: serious
Justification: Policy 2.1

i just happened to be browsing around in /usr/share and found the
following in /usr/share/texmf/tex/latex/seminar/xcomment.sty:

%% Copying of part or all of any file in the xcomment.sty package
%% is allowed under the following conditions only:
%% (1) You may freely distribute unchanged copies of the files. Please
%%     include the documentation when you do so.
%% (2) You may modify a renamed copy of any file, but only for personal
%%     use or use within an organization.
%% (3) You may copy fragments from the files, for personal use or for use
%%     in a macro package for distribution, as long as credit is given
%%     where credit is due.
%%
%% You are NOT ALLOWED to take money for the distribution or use of
%% these files or modified versions or fragments thereof, except for
%% a nominal charge for copying etc.

i don't know how many other latex-included files have copyrights
like this, but it is definitely not okay...

----- End forwarded message -----

-- 
http://www.hilmar-preusse.de.vu/    #206401 http://counter.li.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 327741@bugs.debian.org (full text, mbox):

From: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
To: Hilmar Preusse <hille42@web.de>
Cc: Timothy Van Zandt <tvz@econ.insead.edu>, Denis Girou <denis.girou@idris.fr>, 327741@bugs.debian.org
Subject: Re: (fwd) tetex-extra: undistributable files included in package
Date: Wed, 14 Sep 2005 20:56:35 +0100
If Timothy is listening, and is happy, the best solution would
be to patch the file on CTAN. I can get that done, but best
to give TVZ time to respond.

-- 
Sebastian Rahtz      
Information Manager, Oxford University Computing Services
13 Banbury Road, Oxford OX2 6NN. Phone +44 1865 283431

OSS Watch: JISC Open Source Advisory Service
http://www.oss-watch.ac.uk




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Timothy Van Zandt <Timothy.VAN-ZANDT@insead.edu>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 327741@bugs.debian.org (full text, mbox):

From: Timothy Van Zandt <Timothy.VAN-ZANDT@insead.edu>
To: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
Cc: Hilmar Preusse <hille42@web.de>, Timothy Van Zandt <tvz@econ.insead.edu>, Denis Girou <denis.girou@idris.fr>, 327741@bugs.debian.org
Subject: Re: (fwd) tetex-extra: undistributable files included in package
Date: Wed, 14 Sep 2005 23:41:00 +0200
That would be excellent of you. Thanks Sebastian. Of course, all these 
are just obsolete attempts at copyleft notices and I'm happy to have 
whatever is the current norm substituted.

tim


Sebastian Rahtz wrote:
> If Timothy is listening, and is happy, the best solution would
> be to patch the file on CTAN. I can get that done, but best
> to give TVZ time to respond.
> 



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Sean Finney <seanius@debian.org>, 327741@bugs.debian.org
Subject: Re: Bug#327741: tetex-optional: undistributable files included in package
Date: Thu, 15 Sep 2005 09:27:13 +0200
retitle 327741 copyright statement inside files of seminar package outdated
severity 327741 important
stop

On 14.09.05 Sean Finney (seanius@debian.org) wrote:
> On Wed, Sep 14, 2005 at 08:05:22PM +0200, Hilmar Preusse wrote:

Hi,

> > Can't we simply downgrade the bug to importand, change the
> > description to "license statement in the files of seminar package
> > is wrong" and then forward that bug to upstream (TE)?
> 
> no complaints from me...
> 
Done.

H.
-- 
sigmentation fault



Changed Bug title. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Timothy Van Zandt <Timothy.VAN-ZANDT@insead.edu>, 327741@bugs.debian.org
Cc: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>, Denis Girou <denis.girou@idris.fr>
Subject: Re: Bug#327741: (fwd) tetex-extra: undistributable files included in package
Date: Thu, 15 Sep 2005 16:13:06 +0200
On 14.09.05 Timothy Van Zandt (Timothy.VAN-ZANDT@insead.edu) wrote:

Hi all,

> That would be excellent of you. Thanks Sebastian. Of course, all
> these are just obsolete attempts at copyleft notices and I'm happy
> to have whatever is the current norm substituted.
> 
OK, thanks! Is there anything I can do to speed up the issue?
While we're on the way: the address of Timothy
(tvz <at> zandtwerk.kellogg.nwu.edu) in sem-read.me seems to be
outdated.

Regards,
  Hilmar
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #76 received at 327741@bugs.debian.org (full text, mbox):

From: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
To: Hilmar Preusse <hille42@web.de>
Cc: Timothy Van Zandt <Timothy.VAN-ZANDT@insead.edu>, 327741@bugs.debian.org, Denis Girou <denis.girou@idris.fr>
Subject: Re: Bug#327741: (fwd) tetex-extra: undistributable files included in package
Date: Thu, 15 Sep 2005 15:39:54 +0100
I have removed the "Copying " sections in various input files,
and submitted all of seminar back to CTAN

-- 
Sebastian Rahtz      
Information Manager, Oxford University Computing Services
13 Banbury Road, Oxford OX2 6NN. Phone +44 1865 283431

OSS Watch: JISC Open Source Advisory Service
http://www.oss-watch.ac.uk




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #81 received at 327741@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Ralf Stubner <Ralf.Stubner@physik.uni-erlangen.de>
Cc: 327741@bugs.debian.org, Fabio Massimo Di Nitto <fabbione@fabbione.net>, seanius@debian.org
Subject: please feed information into copyright and Copyright.Files (was: Bug#327741: it's more interesting than it looks like.)
Date: Mon, 26 Sep 2005 14:02:22 +0200
Ralf Stubner <Ralf.Stubner@physik.uni-erlangen.de> wrote:

> I just made the same search (32 files are from the KOMA-Script package
> allown). All of these files are generated files. Derived versions are
> possible if you start with the original source and use a different name
> (roughly speaking). See, eg,
> /usr/share/doc/texmf/latex/koma-script/LEGAL.TXT for details.
>
> With respect to the original message:
> /usr/share/texmf/tex/latex/seminar/xcomment.sty is part of the seminar
> package. In the documentation to the seminar package it says:

Please, please, to all people with svn access:  If you do the work of
such lookups, please put the results into 

http://svn.debian.org/wsvn/pkg-tetex/tetex-base/trunk/debian/copyright?op=file&rev=0&sc=0
http://svn.debian.org/wsvn/pkg-tetex/tetex-base/trunk/debian/Copyright.Files?op=file&rev=0&sc=0

so that the work isn't lost.

Thank you,
Frank

-- 
Frank Küster
Inst. f. Biochemie der Univ. Zürich
Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #86 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>, 327741@bugs.debian.org
Cc: Timothy Van Zandt <Timothy.VAN-ZANDT@insead.edu>, Denis Girou <denis.girou@idris.fr>
Subject: Re: Bug#327741: (fwd) tetex-extra: undistributable files included in package
Date: Thu, 29 Sep 2005 20:22:22 +0200
On 15.09.05 Sebastian Rahtz (sebastian.rahtz@oucs.ox.ac.uk) wrote:

Hi,

> I have removed the "Copying " sections in various input files,
> and submitted all of seminar back to CTAN
> 
I see an updated version of the package on
http://dante.ctan.org/CTAN/macros/latex/contrib/seminar/. However
even seminar.sty itself has still the obsolete copyright statement.
Should I try to correct this? Maybe it is a good idea to adapt
semniar.doc itself.

Regards,
  Hilmar
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #91 received at 327741@bugs.debian.org (full text, mbox):

From: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
To: Hilmar Preusse <hille42@web.de>
Cc: 327741@bugs.debian.org, Timothy Van Zandt <Timothy.VAN-ZANDT@insead.edu>, Denis Girou <denis.girou@idris.fr>
Subject: Re: Bug#327741: (fwd) tetex-extra: undistributable files included in package
Date: Thu, 29 Sep 2005 20:54:21 +0100
Hilmar Preusse wrote:

>I see an updated version of the package on
>http://dante.ctan.org/CTAN/macros/latex/contrib/seminar/. However
>even seminar.sty itself has still the obsolete copyright statement.
>Should I try to correct this? Maybe it is a good idea to adapt
>semniar.doc itself.
>  
>
If you make the changes and submit it back to CTAN
under my name, it will be OK...

-- 
Sebastian Rahtz      
Information Manager, Oxford University Computing Services
13 Banbury Road, Oxford OX2 6NN. Phone +44 1865 283431

OSS Watch: JISC Open Source Advisory Service
http://www.oss-watch.ac.uk




Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #96 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>, 327741@bugs.debian.org
Cc: Timothy Van Zandt <Timothy.VAN-ZANDT@insead.edu>, Denis Girou <denis.girou@idris.fr>
Subject: Re: Bug#327741: (fwd) tetex-extra: undistributable files included in package
Date: Fri, 30 Sep 2005 21:25:45 +0200
On 29.09.05 Sebastian Rahtz (sebastian.rahtz@oucs.ox.ac.uk) wrote:
> Hilmar Preusse wrote:

Hi,

> >I see an updated version of the package on
> >http://dante.ctan.org/CTAN/macros/latex/contrib/seminar/. However
> >even seminar.sty itself has still the obsolete copyright
> >statement. Should I try to correct this? Maybe it is a good idea
> >to adapt semniar.doc itself.
> >  
> If you make the changes and submit it back to CTAN
> under my name, it will be OK...
> 
I just thought editing seminar.doc and then recreating seminar.sty
would do the trick, however that doesn't seem to work.
Do you have a short hint/a better idea than editing every file
manually?

Thanks,
  Hilmar
-- 
sigmentation fault



Information forwarded to debian-bugs-dist@lists.debian.org, teTeX maintainers <debian-tetex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>:
Extra info received and forwarded to list. Copy sent to teTeX maintainers <debian-tetex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #101 received at 327741@bugs.debian.org (full text, mbox):

From: Sebastian Rahtz <sebastian.rahtz@oucs.ox.ac.uk>
To: Hilmar Preusse <hille42@web.de>
Cc: 327741@bugs.debian.org, Timothy Van Zandt <Timothy.VAN-ZANDT@insead.edu>, Denis Girou <denis.girou@idris.fr>
Subject: Re: Bug#327741: (fwd) tetex-extra: undistributable files included in package
Date: Sat, 01 Oct 2005 12:24:42 +0100
Hilmar Preusse wrote:

>I just thought editing seminar.doc and then recreating seminar.sty
>would do the trick, however that doesn't seem to work.
>Do you have a short hint/a better idea than editing every file
>manually?
>  
>
sorry, I don't think I have _ever_ created seminar.sty from source :-}

I'd just write a script to edit all the files....

-- 
Sebastian Rahtz      
Information Manager, Oxford University Computing Services
13 Banbury Road, Oxford OX2 6NN. Phone +44 1865 283431

OSS Watch: JISC Open Source Advisory Service
http://www.oss-watch.ac.uk





Bug 327741 cloned as bug 406532. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #108 received at 327741@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: Debian Bug Control Server <control@bugs.debian.org>
Cc: 327741@bugs.debian.org
Subject: tetex-extra is gone, this is now in texlive-latex-recommended
Date: Fri, 20 Apr 2007 17:55:50 +0200
reassign 327741 texlive-latex-recommended
stop
-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#327741; Package tetex-extra. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #113 received at 327741@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 327741@bugs.debian.org
Subject: [Hilmar Preusse] Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Fri, 20 Apr 2007 17:57:20 +0200
[Message part 1 (message/rfc822, inline)]
From: Hilmar Preusse <hille42@web.de>
To: 363061@bugs.debian.org
Cc: Frank Küster <frank@kuesterei.ch>
Subject: Re: Bug#363061: seminar is not DFSG-free, needs relicensing
Date: Mon, 2 Oct 2006 11:01:51 +0200
On 24.07.06 Hilmar Preusse (hille42@web.de) wrote:
> On 22.07.06 Frank Küster (frank@kuesterei.ch) wrote:
> > Hilmar Preuße <hille42@web.de> wrote:
> > > On 21.07.06 Frank K?ster (frank@kuesterei.ch) wrote:

Hi Frank,

> > >> - non-commercial
> > >> - renamed copies may not be distributed at all, only "fragments",
> > >>   whatever that is.
> > >> 
> > > There is already a bug open. The author stated, that the non-free
> > > license statement is obsolete. He agreed, that anybody can upload an
> > > updated version to CTAN and about a year ago I promised to do so.
> > > Yes, it is still on my list.
> > 
> > Ah, I didn't know this (or forgot).  What's the new license?
> > 
> #327741 -> LPPL.
> 
> > Any idea when you will manage to to the upload (days, weeks,
> > months, before the freeze date?).
> > 
> I guess, I have just to sit down and do it. I hope the Sommerloch is
> coming soon...
> 
Well, the Sommerloch is probably over and I didn't find the time to
do the job. The chance that I can do that in the near future is
small. I'm sorry for that!

I've uploaded my local modified version to
http://www.amasol.de/~preusse/gfjwnbbjdgnbk/ . If you have the time
to continue please do so. The files I've already modified you'll
recognize on the time stamp...

Thanks,
  Hilmar
-- 
sigmentation fault



[Message part 2 (text/plain, inline)]

-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)

Bug reassigned from package `tetex-extra' to `texlive-latex-recommended'. Request was from Frank Küster <frank@kuesterei.ch> to control@bugs.debian.org. (Fri, 20 Apr 2007 15:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#327741; Package texlive-latex-recommended. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #120 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Debian-TeX-maint <debian-tex-maint@lists.debian.org>, 327741@bugs.debian.org
Subject: Re: Bug#327741: tetex-extra is gone, this is now in texlive-latex-recommended
Date: Tue, 29 May 2007 18:51:46 +0200
merge 327741 406532
stop

On 20.04.07 Frank Küster (frank@kuesterei.ch) wrote:

> reassign 327741 texlive-latex-recommended
> stop
> 

-- 
sigmentation fault



Merged 327741 406532. Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Tue, 29 May 2007 16:54:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#327741; Package texlive-latex-recommended. Full text and rfc822 format available.

Acknowledgement sent to Hilmar Preusse <hille42@web.de>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #127 received at 327741@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Sean Finney <seanius@debian.org>, 327741@bugs.debian.org
Subject: Re: tetex-optional: undistributable files included in package
Date: Tue, 5 Aug 2008 16:37:58 +0200
tags 327741 + fixed-upstream
stop

On 11.09.05 Sean Finney (seanius@debian.org) wrote:

> Package: tetex-optional
> Version: 2.0.2c-8
> Severity: serious
> Justification: Policy 2.1
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> i just happened to be browsing around in /usr/share and found the
> following in /usr/share/texmf/tex/latex/seminar/xcomment.sty:
> 
CTAN has meanwhile a corrected version of that package. It will be
included in next TeX Live -> tagging.

H.
-- 
sigmentation fault




Tags added: fixed-upstream Request was from Hilmar Preusse <hille42@web.de> to control@bugs.debian.org. (Tue, 05 Aug 2008 14:39:03 GMT) Full text and rfc822 format available.

Reply sent to Hilmar Preusse <hille42@web.de>:
You have taken responsibility. (Tue, 05 May 2009 09:09:11 GMT) Full text and rfc822 format available.

Notification sent to Sean Finney <seanius@debian.org>:
Bug acknowledged by developer. (Tue, 05 May 2009 09:09:11 GMT) Full text and rfc822 format available.

Message #134 received at 327741-done@bugs.debian.org (full text, mbox):

From: Hilmar Preusse <hille42@web.de>
To: Sean Finney <seanius@debian.org>, 327741-done@bugs.debian.org
Subject: Re: tetex-optional: undistributable files included in package
Date: Tue, 5 May 2009 11:04:23 +0200
Version: 2007.dfsg.2-4

On 11.09.05 Sean Finney (seanius@debian.org) wrote:

Hi,

> Package: tetex-optional
> Version: 2.0.2c-8
> Severity: serious
> Justification: Policy 2.1
> 
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> i just happened to be browsing around in /usr/share and found the
> following in /usr/share/texmf/tex/latex/seminar/xcomment.sty:
> 
The Version in stable contains the fixed license statement: it is
now LPPL -> Closing.

H.
-- 
sigmentation fault




Reply sent to Hilmar Preusse <hille42@web.de>:
You have taken responsibility. (Tue, 05 May 2009 09:09:12 GMT) Full text and rfc822 format available.

Notification sent to Sean Finney <seanius@debian.org>:
Bug acknowledged by developer. (Tue, 05 May 2009 09:09:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Jun 2009 07:28:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:20:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.